[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# PosEx

Search for the occurrence of a character in a string, starting at a certain position.

## Declaration

Source position: strutils.pp line 117

`function PosEx(`
`const SubStr: string;`
`const S: string;`
`Offset: SizeUInt`
`):SizeInt; function PosEx(`
`const SubStr: string;`
`const S: string`
`):SizeInt; function PosEx(`
`c: Char;`
`const S: string;`
`Offset: SizeUInt`
`):SizeInt; function PosEx(`
`const SubStr: UnicodeString;`
`const S: UnicodeString;`
`Offset: SizeUInt`
`):SizeInt; function PosEx(`
`c: WideChar;`
`const S: UnicodeString;`
`Offset: SizeUInt`
`):SizeInt; function PosEx(`
`const SubStr: UnicodeString;`
`const S: UnicodeString`
`):SizeInt;`

## Arguments

`SubStr` |  | String to search for.
`S` |  | String to search.
`Offset` |  | Initial position where to start searching.

## Function result

Position of the character, or 0 if it is not found.

## Arguments

`SubStr` |  | String to search for.
`S` |  | String to search.

## Arguments

`c` |  | Character to search for.
`S` |  | String to search.
`Offset` |  | Initial position where to start searching.

## Arguments

`SubStr` |  | String to search for.
`S` |  | String to search.
`Offset` |  | Initial position where to start searching.

## Arguments

`c` |  | Character to search for.
`S` |  | String to search.
`Offset` |  | Initial position where to start searching.

## Arguments

`SubStr` |  | String to search for.
`S` |  | String to search.

## Description

PosEx returns the position of the first occurrence of the character C or the substring SubStr in the string S, starting the search at position Offset (default 1). If C or SubStr does not occur in S after the given Offset, zero is returned. The position Offset is also searched.

## Errors

None.

## See also

NPos |  | Returns the position of the N-th occurrence of a substring in a string.
AnsiContainsText |  | Check whether a string contains a certain substring, ignoring case.
AnsiContainsStr |  | Checks whether a string contains a given substring